"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
const npm_1 = require("../common/npm");
module.exports = (Utils) => {
    return {
        hook_repl_command: new Utils.Hook('semo', () => {
            return {
                npm: {
                    help: 'Get package information from npmjs.com ',
                    action(input) {
                        return __awaiter(this, void 0, void 0, function* () {
                            if (!input) {
                                Utils.warn('keyword is required');
                            }
                            else {
                                // @ts-ignore
                                this.clearBufferedCommand();
                                yield npm_1.printNpmReadme(input);
                                // @ts-ignore
                                this.displayPrompt();
                            }
                        });
                    }
                }
            };
        })
    };
};
